ida.h File Reference

Classes for Information Dispersal Algorithm (IDA) More...

Go to the source code of this file.

## Classes

class | RawIDA
| base class for secret sharing and information dispersal More...
class | SecretSharing
| a variant of Shamir's Secret Sharing Algorithm More...
class | SecretRecovery
| a variant of Shamir's Secret Sharing Algorithm More...
class | InformationDispersal
| a variant of Rabin's Information Dispersal Algorithm More...
class | InformationRecovery
| a variant of Rabin's Information Dispersal Algorithm More...
class | PaddingRemover

## Detailed Description

Classes for Information Dispersal Algorithm (IDA)

Definition in file ida.h.